summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitignore2
-rw-r--r--CHANGELOG.md1
-rw-r--r--utils/ci/update_changelog.sh15
3 files changed, 18 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
index a9396a17..9a1e75fc 100644
--- a/.gitignore
+++ b/.gitignore
@@ -27,3 +27,5 @@ lua/lv-user-config/
*.bak
*.backup
*.old
+
+.luarc.json \ No newline at end of file
diff --git a/CHANGELOG.md b/CHANGELOG.md
index dac1c686..f7ac5e57 100644
--- a/CHANGELOG.md
+++ b/CHANGELOG.md
@@ -7,6 +7,7 @@ All notable changes to this project will be documented in this file.
### <!-- 1 --> Features
- _(plugins)_ add support for packer snapshots (#2351)
+- add option to set maximum cmp menu width (#2425)
### <!-- 2 --> Bugfix
diff --git a/utils/ci/update_changelog.sh b/utils/ci/update_changelog.sh
new file mode 100644
index 00000000..49dae53a
--- /dev/null
+++ b/utils/ci/update_changelog.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+set -eo pipefail
+
+BRANCH="$(git rev-parse --abbrev-ref HEAD)"
+
+if [ "$BRANCH" != "master" ]; then
+ exit 0
+fi
+
+REPO_DIR="$(git rev-parse --show-toplevel)"
+LATEST_TAG="$(git describe --tags --abbrev=0)"
+CONFIG_FILE="$REPO_DIR/.github/workflows/cliff.toml"
+CHANGELOG="$REPO_DIR/CHANGELOG.md"
+
+git -C "$REPO_DIR" cliff "$LATEST_TAG"..HEAD -u -c "$CONFIG_FILE" -p "$CHANGELOG"